| Face Engine SDK 5.34.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IOrientationEstimator Struct Referenceabstract
Estimators

Image orientation estimator interface. More...

`#include <IOrientationEstimator.h>`

Inheritance diagram for fsdk::IOrientationEstimator:

## Public Member Functions
virtual ResultValue< FSDKError, OrientationType > | estimate (const Image &image) const noexcept=0
| Estimate orientation of image (Normal, Right90deg, Left90deg or UpsideDown). More...
virtual Result< FSDKError > | estimate (Span< const Image > images, Span< OrientationType > out) const noexcept=0
| Estimate orientation of several images. More...
virtual Result< FSDKError > | validate (Span< const Image > images, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Image orientation estimator interface.

Note
  This estimator is designed to work with Image only;

## Member Function Documentation

## ◆ estimate() [1/2]

virtual ResultValue<FSDKError, OrientationType> fsdk::IOrientationEstimator::estimate | ( | const Image & | image | ) | const
| pure virtual noexcept

Estimate orientation of image (Normal, Right90deg, Left90deg or UpsideDown).

Parameters

  [in] | image | source image.

Returns
  ResultValue with error code and OrientationType estimation.

See also
  OrientationType, Image, ResultValue and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ estimate() [2/2]

virtual Result<FSDKError> fsdk::IOrientationEstimator::estimate | ( | Span< const Image > | images,
|  | Span< OrientationType > | out
| ) |  | const
| pure virtual noexcept

Estimate orientation of several images.

Parameters

  [in] | images | span of source images.
  [out] | out | output span of orientation estimations.

Returns
  Result with error code.

See also
  Span, OrientationType, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate()

virtual Result<FSDKError> fsdk::IOrientationEstimator::validate | ( | Span< const Image > | images,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | span of source images.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IOrientationEstimator.h